@import "@/styles/mixins/typography";
@import "@/styles/colors";

.callout {
  display: flex;
  justify-content: space-between;
  border-radius: 12px;
  background-color: $color-custom-level-2-background-cards;
}

.warning {
  color: $color-orange-500;

  & .meta_title {
    color: $color-orange-500;
  }
}

.info {
  color: $color-blue-500;

  & .meta_title {
    color: $color-blue-500;
  }
}

.danger {
  color: $color-red-500;

  & .meta_title {
    color: $color-red-500;
  }
}

.success {
  color: $color-green-500;

  & .meta_title {
    color: $color-green-500;
  }
}

.meta {
  display: flex;
  column-gap: 8px;
  align-items: flex-start;
  padding: 16px;


  &_container {
    display: flex;
    flex-direction: column;
    row-gap: 8px;
  }

  &_title {
    @include typography('sm-semibold');
  }

  &_description {
    color: $color-custom-text-tooltips;
    @include typography('xs-medium');
  }
}

.close {
  border-left: 2px solid $color-custom-level-3-background-modals-dropdowns-background;
  display: flex;
  justify-content: center;
  align-items: center;
  color: $color-custom-text-tooltips;
  @include typography('sm-semibold');
  transition: background-color 0.2s ease;
  cursor: pointer;
  -webkit-border-radius: 0 12px 12px 0;
  -moz-border-radius: 0 12px 12px 0;
  border-radius: 0 12px 12px 0;
  padding: 0 24px;

  &:hover {
    background-color: $color-custom-secondary-button-hover;
  }

  &:active {
    background-color: $color-custom-secondary-button-bg-hollow-button-border;
  }
}